# File.h file

A file.

## Enums

enum class Boolean: unsigned char { True = 7, False, FileNotFound = -1 }
  Strongly-typed enum.
enum E: int { Value = 42 }
  Typed enum.
enum class F { }
  Strong implicitly typed enum.

## Enum documentation

### enum class Boolean: unsigned char

Strongly-typed enum.

Enumerators |
--- | ---
True | True.
False | False?
FileNotFound | Haha.

### enum E: int

Typed enum.

Enumerators |
--- | ---
Value | Value